Bug 1016769 - [abrt] kdelibs-4.11.1-4.fc19: XRandRMode::size: Process /usr/bin/kded4 was killed by signal 11 (SIGSEGV)
[abrt] kdelibs-4.11.1-4.fc19: XRandRMode::size: Process /usr/bin/kded4 was ki...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libkscreen (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
abrt_hash:a9233de9458290147c825068295...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 12:24 EDT by dvdmgl
Modified: 2015-11-01 20:37 EST (History)
10 users (show)

See Also:
Fixed In Version: libkscreen-1.0.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-01 02:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.10 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: core_backtrace (34.71 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: dso_list (21.52 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: environ (1.43 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: maps (107.34 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: open_fds (1.62 KB, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-10-08 12:25 EDT, dvdmgl
no flags Details
File: var_log_messages (309 bytes, text/plain)
2013-10-08 12:26 EDT, dvdmgl
no flags Details

  None (edit)
Description dvdmgl 2013-10-08 12:24:55 EDT
Description of problem:
restart after update, using restore tabs of chromium

Version-Release number of selected component:
kdelibs-4.11.1-4.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/kded4 --nocrashhandler
crash_function: XRandRMode::size
executable:     /usr/bin/kded4
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XRandRMode::size at /usr/src/debug/libkscreen-1.0.1/backends/xrandr/xrandrmode.cpp:53
 #1 XRandRConfig::applyKScreenConfig at /usr/src/debug/libkscreen-1.0.1/backends/xrandr/xrandrconfig.cpp:168
 #2 KScreen::Config::setConfig at /usr/src/debug/libkscreen-1.0.1/src/config.cpp:66
 #3 KScreenDaemon::applyKnownConfig at /usr/src/debug/kscreen-1.0.1/kded/daemon.cpp:110
 #4 KScreenDaemon::applyConfig at /usr/src/debug/kscreen-1.0.1/kded/daemon.cpp:94
 #5 QMetaObject::activate at kernel/qobject.cpp:3547
 #7 ready at /usr/src/debug/kscreen-1.0.1/x86_64-redhat-linux-gnu/kded/device.moc:112
 #8 Device::setReady at /usr/src/debug/kscreen-1.0.1/kded/device.cpp:80
 #9 setReady at /usr/src/debug/kscreen-1.0.1/kded/device.cpp:148
 #10 fetchIsDocked at /usr/src/debug/kscreen-1.0.1/kded/device.cpp:157
Comment 1 dvdmgl 2013-10-08 12:25:06 EDT
Created attachment 809398 [details]
File: backtrace
Comment 2 dvdmgl 2013-10-08 12:25:13 EDT
Created attachment 809399 [details]
File: cgroup
Comment 3 dvdmgl 2013-10-08 12:25:19 EDT
Created attachment 809400 [details]
File: core_backtrace
Comment 4 dvdmgl 2013-10-08 12:25:24 EDT
Created attachment 809401 [details]
File: dso_list
Comment 5 dvdmgl 2013-10-08 12:25:30 EDT
Created attachment 809402 [details]
File: environ
Comment 6 dvdmgl 2013-10-08 12:25:34 EDT
Created attachment 809403 [details]
File: exploitable
Comment 7 dvdmgl 2013-10-08 12:25:39 EDT
Created attachment 809404 [details]
File: limits
Comment 8 dvdmgl 2013-10-08 12:25:46 EDT
Created attachment 809405 [details]
File: maps
Comment 9 dvdmgl 2013-10-08 12:25:51 EDT
Created attachment 809406 [details]
File: open_fds
Comment 10 dvdmgl 2013-10-08 12:25:56 EDT
Created attachment 809407 [details]
File: proc_pid_status
Comment 11 dvdmgl 2013-10-08 12:26:01 EDT
Created attachment 809408 [details]
File: var_log_messages
Comment 12 dvdmgl 2013-10-08 13:22:43 EDT
the situation of the crash was not with chromium, but the mouse touch the top center edge of the screen, that had option "present windows, all desktops"
Comment 13 Rex Dieter 2013-10-08 17:47:41 EDT
Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XRandRMode::size at /usr/src/debug/libkscreen-1.0.1/backends/xrandr/xrandrmode.cpp:53

Reassigning to libkscreen
Comment 14 Fedora Update System 2014-04-22 08:23:31 EDT
libkscreen-1.0.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libkscreen-1.0.2-3.fc20
Comment 15 Fedora Update System 2014-04-23 00:28:02 EDT
Package libkscreen-1.0.2-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libkscreen-1.0.2-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5461/libkscreen-1.0.2-3.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2014-05-01 02:58:09 EDT
libkscreen-1.0.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.